Subject: [PATCH net-next v6 4/4] phy: marvell: Add support for the PHY embedded in the topaz switch

From: [email-masked] (Gregory CLEMENT)
Date: Tue, 24 Jan 2017 21:55:08 +0100

Hi Andrew,
 
 On mar., janv. 24 2017, Andrew Lunn <[email-masked]> wrote:

> On Tue, Jan 24, 2017 at 09:10:26PM +0100, Gregory CLEMENT wrote:
>> The PHY with the ID 0x1410C00
>
> :-(
>
> I don't have a better reference, but
> Linux/Documentation/devicetree/bindings/net/phy.txt says:
>
>  22   If the phy's identifier is known then the list may contain an entry
>  23   of the form: "ethernet-phy-idAAAA.BBBB" where
>  24      AAAA - The value of the 16 bit Phy Identifier 1 register as
>  25             4 hex digits. This is the chip vendor OUI bits 3:18
>  26      BBBB - The value of the 16 bit Phy Identifier 2 register as
>  27             4 hex digits. This is the chip vendor OUI bits 19:24,
>  28             followed by 10 bits of a vendor specific ID.
>
> So the lower 10 bits of 0x1410C00 are 0. So we know it is a Marvell
> PHY from the OUI, but the vendor specific bits are all 0.

In your previous email you mention a value of 0x01410000, so when I saw
the "C00" at the end I was happy and I didn't look for further.

>
> Please take a look at:
>
> https://marc.info/?l=linux-netdev&m=148495522620757&w=1
>
> and
>
> https://marc.info/?l=linux-netdev&m=148495510320714&w=1
>
> Maybe i should submit these two independently, so you can extend it
> for the 88E6341 family.

Please do it :)

The feedback from Florian and Vivian was good about it so I see no
reason to not apply them.

Add me in CC so I will now when to rebase my series.

Thanks,

Gregory

>     Andrew

-- 
Gregory Clement, Free Electrons
Kernel, drivers, real-time and embedded Linux
development, consulting, training and support.
http://free-electrons.com